
#import "b4i_httputils2service.h"
#import "b4i_main.h"
#import "b4i_httpjob.h"


@implementation b4i_httputils2service 


+ (instancetype)new {
    static b4i_httputils2service* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 20;
}


- (NSString*)  _completejob:(int) _taskid :(BOOL) _success :(NSString*) _errormessage :(B4IHttpResponse*) _res{
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"completejob"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"completejob::::" :@[@(_taskid),@(_success),[B4I nilToNSNull:_errormessage],[B4I nilToNSNull:_res]]]);}
b4i_httpjob* _job = nil;
B4IRDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Sub CompleteJob(TaskId As Int, success As Boolean,";
B4IRDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="Dim job As HttpJob = TaskIdToJob.Get(TaskId)";
_job = (b4i_httpjob*)([self->__taskidtojob Get:(NSObject*)(@(_taskid))]);
B4IRDebugUtils.currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="TaskIdToJob.Remove(TaskId)";
[self->__taskidtojob Remove:(NSObject*)(@(_taskid))];
B4IRDebugUtils.currentLine=1245188;
 //BA.debugLineNum = 1245188;BA.debugLine="job.success = success";
_job->__success /*BOOL*/  = _success;
B4IRDebugUtils.currentLine=1245189;
 //BA.debugLineNum = 1245189;BA.debugLine="job.errorMessage = errorMessage";
_job->__errormessage /*NSString**/  = _errormessage;
B4IRDebugUtils.currentLine=1245193;
 //BA.debugLineNum = 1245193;BA.debugLine="job.Complete(res)";
[_job _complete /*NSString**/ :nil :_res];
B4IRDebugUtils.currentLine=1245195;
 //BA.debugLineNum = 1245195;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _hc_responseerror:(B4IHttpResponse*) _response :(NSString*) _reason :(int) _statuscode :(int) _taskid{
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"hc_responseerror"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"hc_responseerror::::" :@[[B4I nilToNSNull:_response],[B4I nilToNSNull:_reason],@(_statuscode),@(_taskid)]]);}
B4IRDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub hc_ResponseError (Response As HttpResponse, Re";
B4IRDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="Log(\"ResponseError: \" & Reason & \", status code:";
[self->___c LogImpl:@"91114113" :[@[@"ResponseError: ",_reason,@", status code: ",[self.bi NumberToString:@(_statuscode)]] componentsJoinedByString:@""] :0];
B4IRDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="CompleteJob(TaskId, False, Reason, Response)";
[self _completejob:_taskid :false :_reason :_response];
B4IRDebugUtils.currentLine=1114115;
 //BA.debugLineNum = 1114115;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _hc_responsesuccess:(B4IHttpResponse*) _response :(int) _taskid{
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"hc_responsesuccess"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"hc_responsesuccess::" :@[[B4I nilToNSNull:_response],@(_taskid)]]);}
B4IRDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub hc_ResponseSuccess (Response As HttpResponse,";
B4IRDebugUtils.currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="CompleteJob(TaskId, True, \"\", Response)";
[self _completejob:_taskid :true :@"" :_response];
B4IRDebugUtils.currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _process_globals{
self->__main=[b4i_main new];
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"process_globals"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);}
B4IRDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Process_Globals";
B4IRDebugUtils.currentLine=917515;
 //BA.debugLineNum = 917515;BA.debugLine="Private hc As HttpClient";
self->__hc = [B4IHttp new];
B4IRDebugUtils.currentLine=917518;
 //BA.debugLineNum = 917518;BA.debugLine="Private TaskIdToJob As Map";
self->__taskidtojob = [B4IMap new];
B4IRDebugUtils.currentLine=917519;
 //BA.debugLineNum = 917519;BA.debugLine="Public TempFolder As String";
self->__tempfolder = @"";
B4IRDebugUtils.currentLine=917520;
 //BA.debugLineNum = 917520;BA.debugLine="Private taskCounter As Int";
self->__taskcounter = 0;
B4IRDebugUtils.currentLine=917521;
 //BA.debugLineNum = 917521;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _service_create{
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"service_create"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"service_create" :nil]);}
B4IRDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub Service_Create";
B4IRDebugUtils.currentLine=983054;
 //BA.debugLineNum = 983054;BA.debugLine="If hc.IsInitialized = False Then";
if ([self->__hc IsInitialized]==false) { 
B4IRDebugUtils.currentLine=983059;
 //BA.debugLineNum = 983059;BA.debugLine="hc.Initialize(\"hc\")";
[self->__hc Initialize:self.bi :@"hc"];
 };
B4IRDebugUtils.currentLine=983062;
 //BA.debugLineNum = 983062;BA.debugLine="TaskIdToJob.Initialize";
[self->__taskidtojob Initialize];
B4IRDebugUtils.currentLine=983063;
 //BA.debugLineNum = 983063;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _submitjob:(b4i_httpjob*) _job{
B4IRDebugUtils.currentModule=@"httputils2service";
if ([B4IDebug shouldDelegate: @"submitjob"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"submitjob:" :@[[B4I nilToNSNull:_job]]]);}
B4IRDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Public Sub SubmitJob(job As HttpJob)";
B4IRDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="If TaskIdToJob.IsInitialized = False Then Service";
if ([self->__taskidtojob IsInitialized]==false) { 
[self _service_create];};
B4IRDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="taskCounter = taskCounter + 1";
self->__taskcounter = (int) (self->__taskcounter+1);
B4IRDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="TaskIdToJob.Put(taskCounter, job)";
[self->__taskidtojob Put:(NSObject*)(@(self->__taskcounter)) :(NSObject*)(_job)];
B4IRDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="If job.Username <> \"\" And job.Password <> \"\" Then";
if ([_job->__username /*NSString**/  isEqual:@""] == false && [_job->__password /*NSString**/  isEqual:@""] == false) { 
B4IRDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="hc.ExecuteCredentials(job.GetRequest, taskCounte";
[self->__hc ExecuteCredentials:[_job _getrequest /*B4IHttpRequest**/ :nil] :self->__taskcounter :_job->__username /*NSString**/  :_job->__password /*NSString**/ ];
 }else {
B4IRDebugUtils.currentLine=1048583;
 //BA.debugLineNum = 1048583;BA.debugLine="hc.Execute(job.GetRequest, taskCounter)";
[self->__hc Execute:[_job _getrequest /*B4IHttpRequest**/ :nil] :self->__taskcounter];
 };
B4IRDebugUtils.currentLine=1048585;
 //BA.debugLineNum = 1048585;BA.debugLine="End Sub";
return @"";
}
@end