
#import "b4i_main.h"
#import "b4i_httputils2service.h"
#import "b4i_httpjob.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 20;
}


- (NSString*)  _application_background{
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_background"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"application_background" :nil]);}
B4IRDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
B4IRDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_start"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"application_start:" :@[[B4I nilToNSNull:_nav]]]);}
B4IRDebugUtils.currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
B4IRDebugUtils.currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="NavControl = Nav";
self->__navcontrol = _nav;
B4IRDebugUtils.currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="Page1.Initialize(\"Page1\")";
[self->__page1 Initialize:self.bi :@"Page1"];
B4IRDebugUtils.currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.Title = \"Page 1\"";
[self->__page1 setTitle:@"Page 1"];
B4IRDebugUtils.currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="Page1.RootPanel.Color = Colors.White";
[[self->__page1 RootPanel] setColor:[[self->___c Colors] White]];
B4IRDebugUtils.currentLine=65542;
 //BA.debugLineNum = 65542;BA.debugLine="NavControl.ShowPage(Page1)";
[self->__navcontrol ShowPage:(UIViewController*)((self->__page1).object)];
B4IRDebugUtils.currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="MakeJson";
[self _makejson];
B4IRDebugUtils.currentLine=65546;
 //BA.debugLineNum = 65546;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _makejson{
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"makejson"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"makejson" :nil]);}
B4IJSONGenerator* _json = nil;
B4IRDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub MakeJson";
B4IRDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Dim json As JSONGenerator";
_json = [B4IJSONGenerator new];
B4IRDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="If MyMap.IsInitialized = False Then";
if ([self->__mymap IsInitialized]==false) { 
B4IRDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="InizializeWebApiAuthBase";
[self _inizializewebapiauthbase];
 };
B4IRDebugUtils.currentLine=786439;
 //BA.debugLineNum = 786439;BA.debugLine="json.Initialize(MyMap)";
[_json Initialize:self->__mymap];
B4IRDebugUtils.currentLine=786440;
 //BA.debugLineNum = 786440;BA.debugLine="Log(json.ToString)";
[self->___c LogImpl:@"4786440" :[_json ToString] :0];
B4IRDebugUtils.currentLine=786441;
 //BA.debugLineNum = 786441;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _inizializewebapiauthbase{
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"inizializewebapiauthbase"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"inizializewebapiauthbase" :nil]);}
B4IRDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub InizializeWebApiAuthBase";
B4IRDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="MyMap.Initialize";
[self->__mymap Initialize];
B4IRDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="MyMap.Put(\"Culture\",\"en-GB\")";
[self->__mymap Put:(NSObject*)(@"Culture") :(NSObject*)(@"en-GB")];
B4IRDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="MyMap.Put(\"IsLogged\",False)";
[self->__mymap Put:(NSObject*)(@"IsLogged") :(NSObject*)(@(false))];
B4IRDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="MyMap.Put(\"UserLogin\",Null)";
[self->__mymap Put:(NSObject*)(@"UserLogin") :nil];
B4IRDebugUtils.currentLine=851975;
 //BA.debugLineNum = 851975;BA.debugLine="MyMap.Put(\"UserPK\",Null)";
[self->__mymap Put:(NSObject*)(@"UserPK") :nil];
B4IRDebugUtils.currentLine=851977;
 //BA.debugLineNum = 851977;BA.debugLine="MyMap.Put(\"IsAdmin\",False)";
[self->__mymap Put:(NSObject*)(@"IsAdmin") :(NSObject*)(@(false))];
B4IRDebugUtils.currentLine=851978;
 //BA.debugLineNum = 851978;BA.debugLine="MyMap.Put(\"Roles\",Null)";
[self->__mymap Put:(NSObject*)(@"Roles") :nil];
B4IRDebugUtils.currentLine=851979;
 //BA.debugLineNum = 851979;BA.debugLine="MyMap.Put(\"License\",Null)";
[self->__mymap Put:(NSObject*)(@"License") :nil];
B4IRDebugUtils.currentLine=851980;
 //BA.debugLineNum = 851980;BA.debugLine="MyMap.Put(\"Modules\",Null)";
[self->__mymap Put:(NSObject*)(@"Modules") :nil];
B4IRDebugUtils.currentLine=851981;
 //BA.debugLineNum = 851981;BA.debugLine="MyMap.Put(\"Auths\",Null)";
[self->__mymap Put:(NSObject*)(@"Auths") :nil];
B4IRDebugUtils.currentLine=851982;
 //BA.debugLineNum = 851982;BA.debugLine="MyMap.Put(\"Factory\",Null)";
[self->__mymap Put:(NSObject*)(@"Factory") :nil];
B4IRDebugUtils.currentLine=851983;
 //BA.debugLineNum = 851983;BA.debugLine="MyMap.Put(\"Module\",Null)";
[self->__mymap Put:(NSObject*)(@"Module") :nil];
B4IRDebugUtils.currentLine=851984;
 //BA.debugLineNum = 851984;BA.debugLine="MyMap.Put(\"Area\",Null)";
[self->__mymap Put:(NSObject*)(@"Area") :nil];
B4IRDebugUtils.currentLine=851985;
 //BA.debugLineNum = 851985;BA.debugLine="MyMap.Put(\"Geo\",Null)";
[self->__mymap Put:(NSObject*)(@"Geo") :nil];
B4IRDebugUtils.currentLine=851986;
 //BA.debugLineNum = 851986;BA.debugLine="MyMap.Put(\"Version\",\"1.8.6\")";
[self->__mymap Put:(NSObject*)(@"Version") :(NSObject*)(@"1.8.6")];
B4IRDebugUtils.currentLine=851987;
 //BA.debugLineNum = 851987;BA.debugLine="MyMap.Put(\"CallerType\",1)";
[self->__mymap Put:(NSObject*)(@"CallerType") :(NSObject*)(@(1))];
B4IRDebugUtils.currentLine=851988;
 //BA.debugLineNum = 851988;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_resize"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"page1_resize::" :@[@(_width),@(_height)]]);}
B4IRDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
B4IRDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_httputils2service new]initializeModule];

}
- (NSString*)  _process_globals{
self->__httputils2service=[b4i_httputils2service new];
B4IRDebugUtils.currentModule=@"main";
if ([B4IDebug shouldDelegate: @"process_globals"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);}
B4IRDebugUtils.currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
B4IRDebugUtils.currentLine=3;
 //BA.debugLineNum = 3;BA.debugLine="Public App As Application";
self->__app = [B4IApplicationWrapper new];
B4IRDebugUtils.currentLine=4;
 //BA.debugLineNum = 4;BA.debugLine="Public NavControl As NavigationController";
self->__navcontrol = [B4INavigationControllerWrapper new];
B4IRDebugUtils.currentLine=5;
 //BA.debugLineNum = 5;BA.debugLine="Private Page1 As Page";
self->__page1 = [B4IPage new];
B4IRDebugUtils.currentLine=7;
 //BA.debugLineNum = 7;BA.debugLine="Private MyMap As Map";
self->__mymap = [B4IMap new];
B4IRDebugUtils.currentLine=9;
 //BA.debugLineNum = 9;BA.debugLine="End Sub";
return @"";
}
@end